program CmdLineSwitches;

uses
  SysUtils;

var
  ParamNo, SwitchNo: Integer;
  Param: String;
  BadParam: Boolean;

begin
  BadParam := False;
  for ParamNo := 1 to ParamCount do
  begin
    Param := ParamStr(ParamNo);
    if (Length(Param) > 1) and (Param[1] = '-') then
    begin
      for SwitchNo := 2 to Length(Param) do
        case Param[SwitchNo] of
          'i': WriteLn('-i switch detected');
          'o': WriteLn('-o switch detected');
          'v': WriteLn('-v switch detected');
        else
          begin
            WriteLn(ErrOutput, '-', Param[SwitchNo], ' command-line option not supported');
            BadParam := True;
            Break
          end
        end;
      if BadParam then
        Break
    end
    else
    begin
      WriteLn(ErrOutput, Param, ' command-line option not supported');
      Break
    end
  end;
end.
